HttpResolver (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.http

## Class HttpResolver

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.gcube.datatransfer.resolver.http.HttpResolver

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class HttpResolver
      extends javax.servlet.http.HttpServlet

  Author:
    Andrea Manzi(CERN) updated by Francesco Mangiacrapa
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `CONTENT_TYPE`
    `protected static String` | `FILE_NAME`
    `protected static String` | `SMP_URI`
    `protected static String` | `VALIDATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `init(javax.servlet.ServletConfig conf)`
    `protected void` | `sendErrorQuietly(javax.servlet.http.HttpServletResponse response, int code)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SMP_URI

          protected static final String SMP_URI

      See Also:
        Constant Field Values

    - #### VALIDATION

          protected static final String VALIDATION

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          protected static final String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### FILE_NAME

          protected static final String FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpResolver

          public HttpResolver()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig conf)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### doGet

          protected void doGet(javax.servlet.http.HttpServletRequest request,
                   javax.servlet.http.HttpServletResponse response)
                        throws IOException

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Throws:
        `IOException`

    - #### sendErrorQuietly

          protected void sendErrorQuietly(javax.servlet.http.HttpServletResponse response,
                              int code)

    - #### doPost

          protected void doPost(javax.servlet.http.HttpServletRequest request,
                    javax.servlet.http.HttpServletResponse response)
                         throws IOException

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Throws:
        `IOException`

Copyright © 2016. All Rights Reserved.